# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name gtk3

Name:           ghc-%{pkg_name}
Version:        0.12.5.2
Release:        1.2%{?dist}
Summary:        Binding to the Gtk+ 3 graphical user interface library

License:        LGPLv2+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Patch0:         ghc-gtk3-debian-API.patch
Patch1:         gtk3-Debian-ppc64-work-around-pixel-define.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  gtk2hs-buildtools
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
# End cabal-rpm deps
ExcludeArch:    ppc64

%description
This is the core library of the Gtk2Hs suite of libraries for Haskell based on
Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
graphical user interfaces.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(gthread-2.0)
Requires:       pkgconfig(gtk+-3.0)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .orig
%ifarch ppc64 ppc64le
%patch1 -p1 -b .orig
%endif


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %buildroot%{ghc_pkgdocdir}/COPYING

# we include the demos in devel docdir
rm -r %{buildroot}%{_datadir}/%{pkg_name}-%{version}
rm -r %{buildroot}%{_bindir}/gtk2hs-demo-*


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license COPYING


%files devel -f %{name}-devel.files
%doc demo


%changelog
* Fri Nov 25 2016 Jens Petersen <petersen@redhat.com> - 0.12.5.2-1.2
- add a patch from Debian to workaround an API change (#1291503)
- backport Debian Pixel patch from master (#1291501)

* Fri Sep  4 2015 Jens Petersen <petersen@redhat.com> - 0.12.5.2-1.1
- preprocess failing on ppc64

* Fri Sep  4 2015 Jens Petersen <petersen@redhat.com> - 0.12.5.2-1
- revert to 0.12.5.2 for F21 stack

* Thu Jul  9 2015 Jens Petersen <petersen@redhat.com>
- use license macro (#1045963)

* Mon Jun 29 2015 Jens Petersen <petersen@redhat.com>
- mention Gtk+3 in summary (#1045963)

* Sat Jun 13 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.9.6
